#ifndef INCLUDED_luxe_utils_json_JSONTokenType
#define INCLUDED_luxe_utils_json_JSONTokenType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS3(luxe,utils,json,JSONTokenType)
namespace luxe{
namespace utils{
namespace json{


class JSONTokenType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef JSONTokenType_obj OBJ_;

	public:
		JSONTokenType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("luxe.utils.json.JSONTokenType"); }
		::String __ToString() const { return HX_CSTRING("JSONTokenType.") + tag; }

		static ::luxe::utils::json::JSONTokenType tCOLON;
		static inline ::luxe::utils::json::JSONTokenType tCOLON_dyn() { return tCOLON; }
		static ::luxe::utils::json::JSONTokenType tCOMMA;
		static inline ::luxe::utils::json::JSONTokenType tCOMMA_dyn() { return tCOMMA; }
		static ::luxe::utils::json::JSONTokenType tFALSE;
		static inline ::luxe::utils::json::JSONTokenType tFALSE_dyn() { return tFALSE; }
		static ::luxe::utils::json::JSONTokenType tLEFT_BRACE;
		static inline ::luxe::utils::json::JSONTokenType tLEFT_BRACE_dyn() { return tLEFT_BRACE; }
		static ::luxe::utils::json::JSONTokenType tLEFT_BRACKET;
		static inline ::luxe::utils::json::JSONTokenType tLEFT_BRACKET_dyn() { return tLEFT_BRACKET; }
		static ::luxe::utils::json::JSONTokenType tNAN;
		static inline ::luxe::utils::json::JSONTokenType tNAN_dyn() { return tNAN; }
		static ::luxe::utils::json::JSONTokenType tNULL;
		static inline ::luxe::utils::json::JSONTokenType tNULL_dyn() { return tNULL; }
		static ::luxe::utils::json::JSONTokenType tNUMBER;
		static inline ::luxe::utils::json::JSONTokenType tNUMBER_dyn() { return tNUMBER; }
		static ::luxe::utils::json::JSONTokenType tRIGHT_BRACE;
		static inline ::luxe::utils::json::JSONTokenType tRIGHT_BRACE_dyn() { return tRIGHT_BRACE; }
		static ::luxe::utils::json::JSONTokenType tRIGHT_BRACKET;
		static inline ::luxe::utils::json::JSONTokenType tRIGHT_BRACKET_dyn() { return tRIGHT_BRACKET; }
		static ::luxe::utils::json::JSONTokenType tSTRING;
		static inline ::luxe::utils::json::JSONTokenType tSTRING_dyn() { return tSTRING; }
		static ::luxe::utils::json::JSONTokenType tTRUE;
		static inline ::luxe::utils::json::JSONTokenType tTRUE_dyn() { return tTRUE; }
		static ::luxe::utils::json::JSONTokenType tUNKNOWN;
		static inline ::luxe::utils::json::JSONTokenType tUNKNOWN_dyn() { return tUNKNOWN; }
};

} // end namespace luxe
} // end namespace utils
} // end namespace json

#endif /* INCLUDED_luxe_utils_json_JSONTokenType */ 
